Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.navstate
Class NavigationalStateObjectChange

    java.lang.Object
      org.jboss.portal.core.navstate.NavigationalStateChange
          org.jboss.portal.core.navstate.NavigationalStateObjectChange

    public class NavigationalStateObjectChange

extends NavigationalStateChange

The change of the navigational state of a single object. If both old and new values are not null, it denotes an update. Whenever the old value is null, a creation occured and conversely if the new value is null, a destruction occured.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`static int` | `CREATE` .
`static int` | `DESTROY` .
`static int` | `UPDATE` .

Method Summary
`NavigationalStateKey` | `getKey()`
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`
`int` | `getType()`
`static NavigationalStateObjectChange` | `newCreate(NavigationalStateKey key, java.lang.Object newValue)`
`static NavigationalStateObjectChange` | `newDestroy(NavigationalStateKey key, java.lang.Object oldValue)`
`static NavigationalStateObjectChange` | `newUpdate(NavigationalStateKey key, java.lang.Object oldValue, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPDATE

    public static final int UPDATE

  .

  See Also:
    Constant Field Values

### CREATE

    public static final int CREATE

  .

  See Also:
    Constant Field Values

### DESTROY

    public static final int DESTROY

  .

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

### getKey

    public NavigationalStateKey getKey()

### getOldValue

    public java.lang.Object getOldValue()

### getNewValue

    public java.lang.Object getNewValue()

### newUpdate

    public static NavigationalStateObjectChange newUpdate(NavigationalStateKey key,
                                                          java.lang.Object oldValue,
                                                          java.lang.Object newValue)

### newCreate

    public static NavigationalStateObjectChange newCreate(NavigationalStateKey key,
                                                          java.lang.Object newValue)

### newDestroy

    public static NavigationalStateObjectChange newDestroy(NavigationalStateKey key,
                                                           java.lang.Object oldValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD